<?php
/**
 * Functions - Endpoints
 * 
 * @package Struninn YouTube
 * 
 * @since 1.0.0
 * 
 * @author Odin Design Themes (https://odindesignthemes.com/)
 * 
 */

if (!function_exists('struninnyoutube_channel_get')) {
  /**
   * Returns YouTube channel data.
   * 
   * @since 1.0.0
   * 
   * @return array|bool $channel_data      YouTube channel data, or error.
   */
  function struninnyoutube_channel_get() {
    $parts = [
      'id'          => [],
      'snippet'     => ['title', 'thumbnails'],
      'statistics'  => ['subscriberCount']
    ];

    $channel_data = struninnyoutube_endpoint_data_get('channels', ['id' => struninnyoutube_channel_id_get()], $parts);

    return $channel_data;
  }
}

?>