import React from 'react';
import ReactDOM from 'react-dom';

import SubscriberCount from './SubscriberCount';

const loadChannelSubscriberCountComponent = (channelSubscriberCountElements) => {
  if (channelSubscriberCountElements.length) {
    for (const channelSubscriberCountElement of channelSubscriberCountElements) {
      const template = channelSubscriberCountElement.getAttribute('data-template') || false;
      const hideSubscribeButton = Boolean(channelSubscriberCountElement.getAttribute('data-hide-subscribe-button'));

      ReactDOM.render(
        <SubscriberCount
          template={template}
          hideSubscribeButton={hideSubscribeButton}
        />,
        channelSubscriberCountElement
      );
    }
  }
};

export { loadChannelSubscriberCountComponent as default };